﻿using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Problems.TradeRules
{
    [Plugin("HeuristicLab.Problems.TradeRules", "Trade rules problem for genetic programming", "1.0.0")]
    [PluginFile("HeuristicLab.Problems.TradeRules-1.0.dll", PluginFileType.Assembly)]
    [PluginDependency("HeuristicLab.Data", "3.3")]
    [PluginDependency("HeuristicLab.Core", "3.3")]
    [PluginDependency("HeuristicLab.Common", "3.3")]
    [PluginDependency("HeuristicLab.Encodings.SymbolicExpressionTreeEncoding", "3.4")]
    [PluginDependency("HeuristicLab.Collections", "3.3")]
    [PluginDependency("HeuristicLab.Operators", "3.3")]
    [PluginDependency("HeuristicLab.Operators.Programmable", "3.3")]
    [PluginDependency("HeuristicLab.Optimization", "3.3")]
    [PluginDependency("HeuristicLab.Optimizer", "3.3")]
    [PluginDependency("HeuristicLab.Parameters", "3.3")]
    [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
    [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic", "3.4")]
    [PluginDependency("HeuristicLab.Problems.DataAnalysis.Symbolic.Regression", "3.4")]
    [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
    [PluginDependency("HeuristicLab.Random", "3.3")]
    [PluginDependency("HeuristicLab.Persistence", "3.3")]
    public class Plugin : PluginBase
    {
    }
}